summaryrefslogtreecommitdiff
path: root/tests/cp/dir-slash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-07-23 09:02:29 +0000
committerJim Meyering <jim@meyering.net>2000-07-23 09:02:29 +0000
commitdbca6b183be459f301af606393f5157d2bfce76f (patch)
tree667b8fbbe7e45c3446facb15d9366924686ee6e2 /tests/cp/dir-slash
parent6d26d7c90878d013708748f62a60c2ad1b979db1 (diff)
downloadcoreutils-dbca6b183be459f301af606393f5157d2bfce76f.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/cp/dir-slash')
-rwxr-xr-xtests/cp/dir-slash9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/cp/dir-slash b/tests/cp/dir-slash
index 130024d58..2694d6b34 100755
--- a/tests/cp/dir-slash
+++ b/tests/cp/dir-slash
@@ -26,8 +26,13 @@ fi
fail=0
cp -R dir1/ dir2 || fail=1
-test -d dir2/dir1/file || fail=1
-test -d dir1/file || fail=1
+
+# This file should not exist, but it did with fileutils-4.0w.
+test -r dir2/file && fail=1
+
+# These two should.
+test -r dir2/dir1/file || fail=1
+test -r dir1/file || fail=1
(exit $fail)
exit $fail